Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80857 - post-install invokes non-existant gdk-pixbuf-query-loaders
Summary: post-install invokes non-existant gdk-pixbuf-query-loaders
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: librsvg2
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-01 03:41 UTC by Kjetil T. Homme
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-17 14:37:36 UTC


Attachments (Terms of Use)

Description Kjetil T. Homme 2003-01-01 03:41:20 UTC
Description of problem:
the post-install references a program which doesn't exist.

Version-Release number of selected component (if applicable):
librsvg2-2.1.2-2

How reproducible:
always

Steps to Reproduce:
1.install librsvg2
2.
3.
    
Actual results:
 130:librsvg2               ########################################### [ 28%]
/var/tmp/rpm-tmp.1043: line 3: gdk-pixbuf-query-loaders: command not found
error: %post(librsvg2-2.1.2-2) scriptlet failed, exit status 127


Expected results:
no error

Additional info:
# rpm --redhatprovides gdk-pixbuf-query-loaders
no package provides gdk-pixbuf-query-loaders
# rpm -qa | grep gdk-pixbuf
gdk-pixbuf-0.18.0-5
gdk-pixbuf-gnome-0.18.0-5
gdk-pixbuf-devel-0.18.0-5

(and a Happy New Year! :-)

Comment 1 Alexander Larsson 2003-01-16 11:18:34 UTC
Very strange. gdk-pixbuf-query-loaders is from the gtk2 package, and that
package is required by librsvg2. 

I get no warning for this. Do you have gtk2 installed?



Comment 2 Kjetil T. Homme 2003-01-16 23:35:30 UTC
ah, I see the problem.  at the time, I had gtk2-2.0.6-8 installed, which doesn't have gdk-pixbuf-query-loaders.  so you need to increase the version in your gtk2 dependency to at least that.  it's currently 2.0.2.

Comment 3 Alexander Larsson 2003-01-17 14:37:36 UTC
librsvg2-2.1.3-3 requires gtk2 2.2.0, so it should fix this.



Note You need to log in before you can comment on or make changes to this bug.